﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Data.Services.Client;

namespace SLGroups
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            svcNetFlix.NetflixCatalog ctx = new svcNetFlix.NetflixCatalog(
                new Uri("http://odata.netflix.com/catalog"));

            var myQuery = from t in ctx.Titles
                          where t.Name.Contains(textBox1.Text)
                          orderby t.Name
                          select t;

            var myCollection = new DataServiceCollection<svcNetFlix.Title>();

            listBox1.ItemsSource = myCollection;

            myCollection.LoadAsync(myQuery);
        }
    }
}
